# Class CIM_Switchable
extends CIM_BindsToLANEndpoint

A switch port has a LANEndpoint that is exposed via this relationship. The associaiton is deprecated since a binding is not the correct relationship. The SwitchPort is simply another aspect of the LANEndpoint - which is indicated by the EndpointIdentity relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_BindsTo
|
+--CIM_BindsToLANEndpoint
|
+--CIM_Switchable

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_EndpointIdentity
Description | string | A switch port has a LANEndpoint that is exposed via this relationship. The associaiton is deprecated since a binding is not the correct relationship. The SwitchPort is simply another aspect of the LANEndpoint - which is indicated by the EndpointIdentity relationship.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_Switchable | CIM_LANEndpoint
Dependent | CIM_Switchable | CIM_SwitchPort

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
FrameType | uint16 | CIM_BindsToLANEndpoint

## Class Methods